% Dokumentklasse „Jahresbericht 2.0“ für den Teckids e.V.
%
% Copyright © 2018
%	mirabilos <thorsten.glaser@teckids.org>
%
% Provided that these terms and disclaimer and all copyright notices
% are retained or reproduced in an accompanying document, permission
% is granted to deal in this work without restriction, including un‐
% limited rights to use, publicly perform, distribute, sell, modify,
% merge, give away, or sublicence.
%
% This work is provided “AS IS” and WITHOUT WARRANTY of any kind, to
% the utmost extent permitted by applicable law, neither express nor
% implied; without malicious intent or gross negligence. In no event
% may a licensor, author or contributor be held liable for indirect,
% direct, other damage, loss, or other issues arising in any way out
% of dealing in the work, even if advised of the possibility of such
% damage or existence of a defect, except proven that it results out
% of said person’s immediate fault when using the work as intended.

\NeedsTeXFormat{LaTeX2e}%
\ProvidesClass{teckids2jahresbericht}[2018/08/21 1.1 Teckids Jahresbericht class]%

\PassOptionsToPackage{paper=a4}{typearea}%
\RequirePackage{fancyhdr}%
\LoadClass{scrartcl}%
\RequirePackage{teckids2style}%

\RequirePackage{tikz}%
\RequirePackage{tikzscale}%
\RequirePackage{pgfplots}%

\KOMAoptions{fontsize=9pt}%

\teckidsgeometry[paperwidth=154truemm,paperheight=216truemm,includeheadfoot,top=7mm,bottom=5mm,twoside,inner=9mm,outer=7mm,nohead,footskip=7mm]%

% adjust for scaled-down text
\setlength{\parskip}{2.1mm plus 4mm minus 1mm}%

% default licence for Jahresbericht is CC-BY-SA 3.0 or newer
\dokumentLizenzCCBYSAthreeDE%

\newcommand{\teckidsjahresberichthdr}[2]{%
 \teckidshdr[#2]{Jahresbericht #1/#2 des Teckids e.V.}%
 \title{Jahresbericht des Teckids e.V. für das Geschäftsjahr #1/#2}%
 \renewcommand*\pagemark{\leavevmode\usekomafont{pagenumber}\thepage}%
 \fancyhf{}%
 \fancyfoot[LO,RE]{\leavevmode\usekomafont{pageheadfoot}\itshape%
  Jahresbericht #1/#2 des Teckids e.V.%
 }%
 \fancyfoot[RO,LE]{\leavevmode\usekomafont{pageheadfoot}\pagemark}%
}%
